{"title":"Create purchaseOrders","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchaseorder_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchaseorder_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchaseorder_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a purchase order object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":46,"chars":208},{"level":2,"title":"Request headers","slug":"request-headers","at":254,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":356,"chars":93},{"level":2,"title":"Response","slug":"response","at":449,"chars":128},{"level":2,"title":"Example","slug":"example","at":577,"chars":2827},{"level":2,"title":"Related information","slug":"related-information","at":3404,"chars":242}],"text":"Creates a purchase order in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/purchaseOrders\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of a purchaseOrder object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a purchaseOrder object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseOrders\nContent-type: application/json\n{\n   \"orderDate\": \"2021-01-01\",\n   \"postingDate\": \"2021-01-01\",\n   \"dueDate\": \"2021-01-01\",\n   \"vendorId\": \"\",\n   \"vendorNumber\": \"20000\",\n   \"payToVendorId\": \"Evan McIntosh\",\n   \"payToVendorNumber\": \"20000\",\n   \"shipToName\": \"First Up Consultants\",\n   \"shipToContact\": \"Evan McIntosh\",\n   \"buyFromAddressLine1\": \"100 Day Drive\",\n   \"buyFromAddressLine2\": \"\",\n   \"buyFromCity\": \"Chicago\",\n   \"buyFromCountry\": \"US\",\n   \"buyFromState\": \"IL\",\n   \"buyFromPostCode\": \"61236\",\n   \"shipToAddressLine1\": \"100 Day Drive\",\n   \"shipToAddressLine2\": \"\",\n   \"shipToCity\": \"Chicago\",\n   \"shipToCountry\": \"US\",\n   \"shipToState\": \"IL\",\n   \"shipToPostCode\": \"61236\",\n   \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n   \"currencyCode\": \"USD\",\n   \"pricesIncludeTax\": false,\n   \"paymentTermsId\": \"eeeeeeee-4444-5555-6666-ffffffffffff\",\n   \"shipmentMethodId\": \"93f5638a-55e3-jk22-aa32-211d3a2fdce5\",\n   \"purchaser\": \"First Up Consultants\",\n   \"requestedReceiptDate\": \"2021-01-01\",\n   \"discountAmount\": 0\n}\n```\nResponse\nHere's an example of the response.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n{\n   \"id\": \"11bb11bb-cc22-dd33-ee44-55ff55ff55ff\",\n   \"number\": \"108001\",\n   \"orderDate\": \"2021-01-01\",\n   \"postingDate\": \"2021-01-01\",\n   \"dueDate\": \"2021-01-01\",\n   \"vendorId\": \"\",\n   \"vendorNumber\": \"20000\",\n   \"vendorName\": \"First Up Consultants\",\n   \"payToName\": \"First Up Consultants\",\n   \"payToVendorId\": \"Evan McIntosh\",\n   \"payToVendorNumber\": \"20000\",\n   \"shipToName\": \"First Up Consultants\",\n   \"shipToContact\": \"Evan McIntosh\",\n   \"buyFromAddressLine1\": \"100 Day Drive\",\n   \"buyFromAddressLine2\": \"\",\n   \"buyFromCity\": \"Chicago\",\n   \"buyFromCountry\": \"US\",\n   \"buyFromState\": \"IL\",\n   \"buyFromPostCode\": \"61236\",\n   \"shipToAddressLine1\": \"100 Day Drive\",\n   \"shipToAddressLine2\": \"\",\n   \"shipToCity\": \"Chicago\",\n   \"shipToCountry\": \"US\",\n   \"shipToState\": \"IL\",\n   \"shipToPostCode\": \"61236\",\n   \"payToAddressLine1\": \"100 Day Drive\",\n   \"payToAddressLine2\": \"\",\n   \"payToCity\": \"Chicago\",\n   \"payToCountry\": \"US\",\n   \"payToState\": \"IL\",\n   \"payToPostCode\": \"61236\",\n   \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n   \"currencyCode\": \"USD\",\n   \"pricesIncludeTax\": false,\n   \"paymentTermsId\": \"eeeeeeee-4444-5555-6666-ffffffffffff\",\n   \"shipmentMethodId\": \"93f5638a-55e3-jk22-aa32-211d3a2fdce5\",\n   \"purchaser\": \"First Up Consultants\",\n   \"requestedReceiptDate\": \"2021-01-01\",\n   \"discountAmount\": 0,\n   \"discountAppliedBeforeTax\": false,\n   \"totalAmountExcludingTax\": 0,\n   \"totalTaxAmount\": 0,\n   \"totalAmountIncludingTax\": 0,\n   \"fullyReceived\": false,\n   \"status\": \"Draft\",\n   \"lastModifiedDateTime\": \"2021-01-01T00:26:53.793Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_purchaseorder\ndynamics_purchaseorder_get\ndynamics_purchaseorder_delete\nPATCH purchaseOrder<dynamics_purchaseorder_update>"}